from testtools import TestCase
import report_tools


class FillTemplateTests(TestCase):

    def test_finds_template(self):
        output = report_tools.fill_template("test.html", dict(data="foo"))
        self.assertEqual("Testing foo\n", output)


def test_suite():
    from unittest import TestLoader
    loader = TestLoader()
    suite = loader.loadTestsFromName(__name__)
    return suite
